Creating contacts

Create a contact using the following endpoint:
  • POST /common/v1/contacts

Minimum creation criteria

When creating a contact, you must specify the following information:
  • subtype (typically set to either person or company)
  • firstName and lastName (for Person contacts)
  • companyName (for Company contacts)
  • primaryAddress, with at least:
    • addressLine1
    • city
    • state
    • postalCode

A contact can be created as follows:

Command
POST /common/v1/contacts
Request body
{
    "data": {
        "attributes": {
            "firstName": "Jon",
            "lastName": "Wilson",
            "subtype": {
                "code": "person"
            },
            "primaryAddress": {
                "addressLine1": "193 Address Ln",
                "city": "San Mateo",
                "state": {
                    "code": "CA"
                },
                "postalCode": "94403"
            }
        }
    }
}

When this contact is created, it is not associated with a policy, account, or organization. It can now be set to be the primary contact for an organization.

In the base configuration, only contacts with subtypes person and company are supported. If you wish to add additional contact subtypes, you can extend the ContactType typelist. See Configuration Guide for more.